Package org.springframework.core.type.classreading

# Class ClassFormatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.springframework.core.type.classreading.ClassFormatException

All Implemented Interfaces:
  `Serializable`

public class ClassFormatException extends IOException
Exception that indicates an incompatible class format encountered in a class file during metadata reading.

Since:
  6.1.2
Author:
  Juergen Hoeller
See Also:
  - `MetadataReaderFactory.getMetadataReader(Resource)`
  - `ClassFormatError`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ClassFormatException(String message)`
Construct a new `ClassFormatException` with the supplied message.
`ClassFormatException(String message, Throwable cause)`
Construct a new `ClassFormatException` with the supplied message and cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ClassFormatException

public ClassFormatException(String message)
Construct a new `ClassFormatException` with the supplied message.

Parameters:
  `message` - the detail message

### ClassFormatException

public ClassFormatException(String message, Throwable cause)
Construct a new `ClassFormatException` with the supplied message and cause.

Parameters:
  `message` - the detail message
  `cause` - the root cause